## neovim-conform 9.1.0

=== Makefile ===
## help: print this help message
.PHONY: help
help:
	@echo 'Usage:'
	@sed -n 's/^##//p' ${MAKEFILE_LIST} | column -t -s ':' |  sed -e 's/^/ /'

## all: generate docs, lint, and run tests
.PHONY: all
all: doc lint test

venv:
	python3 -m venv venv
	venv/bin/pip install -r scripts/requirements.txt

## doc: generate documentation
.PHONY: doc
doc: scripts/nvim_doc_tools venv
	venv/bin/python scripts/main.py generate
	venv/bin/python scripts/main.py lint

## test: run tests
.PHONY: test
test:
	./run_tests.sh

## lint: run linters and LuaLS typechecking
.PHONY: lint
lint: scripts/nvim-typecheck-action fastlint
	./scripts/nvim-typecheck-action/typecheck.sh --workdir scripts/nvim-typecheck-action lua

## fastlint: run only fast linters
.PHONY: fastlint
fastlint: scripts/nvim_doc_tools venv
	venv/bin/python scripts/main.py lint
	luacheck lua tests --formatter plain
	stylua --check lua tests

scripts/nvim_doc_tools:
	git clone https://github.com/stevearc/nvim_doc_tools scripts/nvim_doc_tools

scripts/nvim-typecheck-action:
	git clone https://github.com/stevearc/nvim-typecheck-action scripts/nvim-typecheck-action

## clean: reset the repository to a clean state
.PHONY: clean
clean:
	rm -rf scripts/nvim_doc_tools scripts/nvim-typecheck-action venv .testenv

=== scripts/requirements.txt ===
pyparsing==3.0.9
black
isort
mypy

=== debian/changelog ===
neovim-conform (9.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1126299)

 -- Matthias Geiger <werdahias@debian.org>  Fri, 23 Jan 2026 20:16:13 +0100

=== debian/control ===
Source: neovim-conform
Section: editors
Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-vim-addon,
Standards-Version: 4.7.3
Homepage: https://github.com/stevearc/conform.nvim
Vcs-Browser: https://salsa.debian.org/vim-team/neovim-conform
Vcs-Git: https://salsa.debian.org/vim-team/neovim-conform.git

Package: neovim-conform
Architecture: all
Depends:
 ${misc:Depends},
 ${vim-addon:Depends},
Recommends:
 ansible-lint,
 astyle,
 autoflake,
 autopep8,
 black,
 clang-format,
 codespell,
 crystal,
 findent,
 gawk,
 ghdl,
 gojq,
 hurlfmt,
 indent,
 isort,
 jq,
 just,
 markdownlint,
 mdformat,
 ocamlformat,
 ocp-indent,
 ormolu,
 perlimports,
 perltidy,
 puppet-lint,
 python-ly,
 pyupgrade,
 rubocop,
 rustfmt,
 shellcheck,
 shfmt,
 sqlfluff,
 stylish-haskell,
 swift,
 tex-fmt,
 uncrustify,
 xmlstarlet,
 yapf,
 yq,
Description: formatter plugin for Neovim
 Plugin for Neovim that provides lightweight and powerful formatting
 conform supports a wide range of formatters, range formatting,
 formatting of embedded code blocks and preserves extmarks and folds.
 .
 For a list of all supported formatters see :h conform-formatters
 .
 This is a neovim-only plugin.

=== debian/watch ===
Version: 5

Source: https://github.com/stevearc/conform.nvim/tags
Matching-Pattern: .*/v?(\d\S*)\.tar\.gz
Filenamemangle: s/.+\/v?(\d\S*)\.tar\.gz/conform-$1\.tar\.gz/
